---
title: "Query Return Fulfillment Order"
description: "Query return fulfillment order"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/order/return-order/query-return-fulfillment-order'
  md: 'https://developer.shopline.com/docs/admin-rest-api/order/return-order/query-return-fulfillment-order.md'
---
# Query Return Fulfillment Order

Query return fulfillment order

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_returns`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /return_fulfillment.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_returns`

## Request

### Query Parameters

* `return_id`

  string (optional)

  Return id

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `order_return_fulfillment_list`

  array<object>

  Return order

  * `reverse_fulfillment_order_line_items`

    array<object>

    Return Product line information

    * `fulfillment_line_item`

      object

      Invoice Product line detail node

      * `quantity`

        integer

        Number of invoices

      * `line_item`

        object

        Fahuodan line information associated with invoice

    * `id`

      string

      Return order Product line number

    * `return_reason`

      string

      The return reasons for the product line: COLOR(Incorrect color), DEFECTIVE(Product is damaged or defective), NOT_AS_DESCRIBED(Product does not match the description), OTHER(Other reasons), SIZE_TOO_LARGE(Size is too large), SIZE_TOO_SMALL(Size is too small), STYLE(Issues with the style), UNWANTED(Customer changed their mind), WRONG_ITEM(Received the wrong item)

    * `return_reason_note`

      string

      Product line return reason detailed notes, maximum 128 characters supported

    * `total_quantity`

      integer

      Return item about the number of returns

    * `fulfillable_quantity`

      integer

      Return quantity of order

  * `status`

    string

    Return item order status

  * `third_party_confirmation`

    string

    Third party logistics carrier confirmation results

  * `id`

    string

    Unique business id

  * `order_id`

    string

    Associated order number

  * `return_id`

    string

    Associated return id


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "description": "Query return fulfillment order",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_returns` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "4XX6ZkXz",
  "parameters": [
    {
      "name": "return_id",
      "in": "query",
      "description": "Return id",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "return_id",
        "description": "Return id",
        "type": "string",
        "example": ""
      },
      "example": ""
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "order_return_fulfillment_list": {
                "name": "order_return_fulfillment_list",
                "description": "Return order",
                "type": "array",
                "items": {
                  "name": "order_return_fulfillment_list",
                  "description": "Return order",
                  "type": "object",
                  "properties": {
                    "reverse_fulfillment_order_line_items": {
                      "name": "reverse_fulfillment_order_line_items",
                      "description": "Return Product line information",
                      "type": "array",
                      "items": {
                        "name": "reverse_fulfillment_order_line_items",
                        "description": "Return Product line information",
                        "type": "object",
                        "properties": {
                          "fulfillment_line_item": {
                            "name": "fulfillment_line_item",
                            "description": "Invoice Product line detail node",
                            "type": "object",
                            "properties": {
                              "quantity": {
                                "name": "quantity",
                                "description": "Number of invoices",
                                "type": "integer",
                                "example": 0
                              },
                              "line_item": {
                                "name": "line_item",
                                "description": "Fahuodan line information associated with invoice",
                                "type": "object",
                                "properties": {
                                  "gift_card": {
                                    "name": "gift_card",
                                    "description": "Wei for gift cards or not : false、true",
                                    "type": "boolean",
                                    "example": true
                                  },
                                  "title": {
                                    "name": "title",
                                    "description": "Gpu Product title",
                                    "type": "string",
                                    "example": "It's good Product"
                                  },
                                  "fulfillment_service": {
                                    "name": "fulfillment_service",
                                    "description": "Logistics company name",
                                    "type": "string",
                                    "example": "Sf international"
                                  },
                                  "properties": {
                                    "name": "properties",
                                    "description": "Product customization information",
                                    "type": "array",
                                    "items": {
                                      "name": "properties",
                                      "description": "Product customization information",
                                      "type": "object",
                                      "properties": {
                                        "value": {
                                          "name": "value",
                                          "description": "Customized information content",
                                          "type": "string",
                                          "example": "Freedom"
                                        },
                                        "name": {
                                          "name": "name",
                                          "description": "Custom information object",
                                          "type": "string",
                                          "example": "Text"
                                        },
                                        "type": {
                                          "name": "type",
                                          "description": "Custom information type : text、picture、link 1 ) when type is text , take name and value ;2 ) when type is picture , the display type is name , and the details of the thumb of urls to obtain Product 3 ) when type is link , support click urls to use the picture .",
                                          "type": "string",
                                          "example": "text"
                                        },
                                        "urls": {
                                          "name": "urls",
                                          "description": "Address link information",
                                          "type": "array",
                                          "items": {
                                            "name": "urls",
                                            "description": "Address link information",
                                            "type": "string",
                                            "example": "https://image.shopline.com"
                                          },
                                          "example": [
                                            "https://image.shopline.com"
                                          ]
                                        }
                                      },
                                      "example": {
                                        "name": "Text",
                                        "type": "text",
                                        "urls": [
                                          "https://image.shopline.com"
                                        ],
                                        "value": "Freedom"
                                      }
                                    },
                                    "example": [
                                      {
                                        "name": "Text",
                                        "type": "text",
                                        "urls": [
                                          "https://image.shopline.com"
                                        ],
                                        "value": "Freedom"
                                      }
                                    ]
                                  },
                                  "id": {
                                    "name": "id",
                                    "description": "Product row id",
                                    "type": "string",
                                    "example": "405"
                                  },
                                  "product_id": {
                                    "name": "product_id",
                                    "description": "Spu serial number , Product unique identification number",
                                    "type": "string",
                                    "example": "16056898121352174690861487"
                                  },
                                  "quantity": {
                                    "name": "quantity",
                                    "description": "Product quantity",
                                    "type": "integer",
                                    "example": 1
                                  },
                                  "tags": {
                                    "name": "tags",
                                    "description": "Product tag , separated by ',' when there are multiple",
                                    "type": "string",
                                    "example": "sales"
                                  },
                                  "fulfillment_status": {
                                    "name": "fulfillment_status",
                                    "description": "Product delivery status : fulfilled- shipped ; partial- partially shipped ; null- not shipped",
                                    "type": "string",
                                    "example": "fulfilled"
                                  },
                                  "fulfillable_quantity": {
                                    "name": "fulfillable_quantity",
                                    "description": "Remaining Product number of required",
                                    "type": "integer",
                                    "example": 1
                                  },
                                  "attribute": {
                                    "name": "attribute",
                                    "description": "Product attribute information : name-attribute value , multiple attribute values are measured comma",
                                    "type": "string",
                                    "example": "Color-red , size-x"
                                  },
                                  "sku": {
                                    "name": "sku",
                                    "description": "Merchant custom number",
                                    "type": "string",
                                    "example": "SKU1234"
                                  },
                                  "variant_title": {
                                    "name": "variant_title",
                                    "description": "Product attribute value , multiple divided by \" / \"",
                                    "type": "string",
                                    "example": "L/Red"
                                  },
                                  "price": {
                                    "name": "price",
                                    "description": "Product selling price , Product detail page sale price",
                                    "type": "string",
                                    "example": "100.0"
                                  },
                                  "vendor": {
                                    "name": "vendor",
                                    "description": "Product supplier",
                                    "type": "string",
                                    "example": "product supplier"
                                  },
                                  "grams": {
                                    "name": "grams",
                                    "description": "Product weight ( grams )",
                                    "type": "double",
                                    "example": 1
                                  },
                                  "requires_shipping": {
                                    "name": "requires_shipping",
                                    "description": "Product need to be shipped : false、true",
                                    "type": "boolean",
                                    "example": true
                                  },
                                  "taxable": {
                                    "name": "taxable",
                                    "description": "Product incl . : false、true",
                                    "type": "boolean",
                                    "example": true
                                  },
                                  "image_url": {
                                    "name": "image_url",
                                    "description": "Product link url",
                                    "type": "string",
                                    "example": "https://image.shopline.com/abc.jpg"
                                  },
                                  "variant_id": {
                                    "name": "variant_id",
                                    "description": "Product SKU serial number",
                                    "type": "string",
                                    "example": "18056898121355865678441487"
                                  },
                                  "name": {
                                    "name": "name",
                                    "description": "SKU title, same as title",
                                    "type": "string",
                                    "example": "It's good Product"
                                  }
                                },
                                "example": {
                                  "fulfillable_quantity": 1,
                                  "gift_card": true,
                                  "name": "It's good Product",
                                  "sku": "SKU1234",
                                  "requires_shipping": true,
                                  "variant_title": "L/Red",
                                  "fulfillment_status": "fulfilled",
                                  "quantity": 1,
                                  "tags": "sales",
                                  "product_id": "16056898121352174690861487",
                                  "price": "100.0",
                                  "attribute": "Color-red , size-x",
                                  "taxable": true,
                                  "grams": 1,
                                  "id": "405",
                                  "properties": [
                                    {
                                      "type": "text",
                                      "urls": [
                                        "https://image.shopline.com"
                                      ],
                                      "value": "Freedom",
                                      "name": "Text"
                                    }
                                  ],
                                  "variant_id": "18056898121355865678441487",
                                  "fulfillment_service": "Sf international",
                                  "image_url": "https://image.shopline.com/abc.jpg",
                                  "title": "It's good Product",
                                  "vendor": "product supplier"
                                }
                              }
                            },
                            "example": {
                              "line_item": {
                                "variant_title": "L/Red",
                                "product_id": "16056898121352174690861487",
                                "grams": 1,
                                "vendor": "product supplier",
                                "attribute": "Color-red , size-x",
                                "gift_card": true,
                                "fulfillment_service": "Sf international",
                                "requires_shipping": true,
                                "price": "100.0",
                                "sku": "SKU1234",
                                "id": "405",
                                "image_url": "https://image.shopline.com/abc.jpg",
                                "properties": [
                                  {
                                    "type": "text",
                                    "urls": [
                                      "https://image.shopline.com"
                                    ],
                                    "value": "Freedom",
                                    "name": "Text"
                                  }
                                ],
                                "quantity": 1,
                                "taxable": true,
                                "fulfillment_status": "fulfilled",
                                "tags": "sales",
                                "variant_id": "18056898121355865678441487",
                                "title": "It's good Product",
                                "name": "It's good Product",
                                "fulfillable_quantity": 1
                              },
                              "quantity": 0
                            }
                          },
                          "id": {
                            "name": "id",
                            "description": "Return order Product line number",
                            "type": "string",
                            "example": "RDP5860580372212396041"
                          },
                          "return_reason": {
                            "name": "return_reason",
                            "description": "The return reasons for the product line: COLOR(Incorrect color), DEFECTIVE(Product is damaged or defective), NOT_AS_DESCRIBED(Product does not match the description), OTHER(Other reasons), SIZE_TOO_LARGE(Size is too large), SIZE_TOO_SMALL(Size is too small), STYLE(Issues with the style), UNWANTED(Customer changed their mind), WRONG_ITEM(Received the wrong item)",
                            "type": "string",
                            "example": "NOT_AS_DESCRIBED"
                          },
                          "return_reason_note": {
                            "name": "return_reason_note",
                            "description": "Product line return reason detailed notes, maximum 128 characters supported",
                            "type": "string",
                            "example": "Product does not match the description"
                          },
                          "total_quantity": {
                            "name": "total_quantity",
                            "description": "Return item about the number of returns",
                            "type": "integer",
                            "example": 1
                          },
                          "fulfillable_quantity": {
                            "name": "fulfillable_quantity",
                            "description": "Return quantity of order",
                            "type": "integer",
                            "example": 1
                          }
                        },
                        "example": {
                          "return_reason_note": "Product does not match the description",
                          "total_quantity": 1,
                          "fulfillable_quantity": 1,
                          "fulfillment_line_item": {
                            "quantity": 0,
                            "line_item": {
                              "fulfillable_quantity": 1,
                              "requires_shipping": true,
                              "price": "100.0",
                              "attribute": "Color-red , size-x",
                              "quantity": 1,
                              "grams": 1,
                              "image_url": "https://image.shopline.com/abc.jpg",
                              "name": "It's good Product",
                              "tags": "sales",
                              "taxable": true,
                              "gift_card": true,
                              "fulfillment_service": "Sf international",
                              "sku": "SKU1234",
                              "title": "It's good Product",
                              "variant_title": "L/Red",
                              "variant_id": "18056898121355865678441487",
                              "id": "405",
                              "product_id": "16056898121352174690861487",
                              "fulfillment_status": "fulfilled",
                              "vendor": "product supplier",
                              "properties": [
                                {
                                  "name": "Text",
                                  "type": "text",
                                  "urls": [
                                    "https://image.shopline.com"
                                  ],
                                  "value": "Freedom"
                                }
                              ]
                            }
                          },
                          "id": "RDP5860580372212396041",
                          "return_reason": "NOT_AS_DESCRIBED"
                        }
                      },
                      "example": [
                        {
                          "total_quantity": 1,
                          "fulfillable_quantity": 1,
                          "fulfillment_line_item": {
                            "line_item": {
                              "vendor": "product supplier",
                              "id": "405",
                              "quantity": 1,
                              "requires_shipping": true,
                              "product_id": "16056898121352174690861487",
                              "title": "It's good Product",
                              "grams": 1,
                              "variant_title": "L/Red",
                              "variant_id": "18056898121355865678441487",
                              "taxable": true,
                              "fulfillable_quantity": 1,
                              "fulfillment_status": "fulfilled",
                              "properties": [
                                {
                                  "urls": [
                                    "https://image.shopline.com"
                                  ],
                                  "value": "Freedom",
                                  "name": "Text",
                                  "type": "text"
                                }
                              ],
                              "sku": "SKU1234",
                              "gift_card": true,
                              "fulfillment_service": "Sf international",
                              "attribute": "Color-red , size-x",
                              "name": "It's good Product",
                              "price": "100.0",
                              "image_url": "https://image.shopline.com/abc.jpg",
                              "tags": "sales"
                            },
                            "quantity": 0
                          },
                          "id": "RDP5860580372212396041",
                          "return_reason": "NOT_AS_DESCRIBED",
                          "return_reason_note": "Product does not match the description"
                        }
                      ]
                    },
                    "status": {
                      "name": "status",
                      "description": "Return item order status",
                      "type": "string",
                      "example": "OPEN"
                    },
                    "third_party_confirmation": {
                      "name": "third_party_confirmation",
                      "description": "Third party logistics carrier confirmation results",
                      "type": "string",
                      "example": "success"
                    },
                    "id": {
                      "name": "id",
                      "description": "Unique business id",
                      "type": "string",
                      "example": "2605860580357012238342"
                    },
                    "order_id": {
                      "name": "order_id",
                      "description": "Associated order number",
                      "type": "string",
                      "example": "21058605762597644309430942"
                    },
                    "return_id": {
                      "name": "return_id",
                      "description": "Associated return id",
                      "type": "string",
                      "example": "SL201AS4571636204541382726"
                    }
                  },
                  "example": {
                    "return_id": "SL201AS4571636204541382726",
                    "reverse_fulfillment_order_line_items": [
                      {
                        "return_reason_note": "Product does not match the description",
                        "total_quantity": 1,
                        "fulfillable_quantity": 1,
                        "fulfillment_line_item": {
                          "line_item": {
                            "title": "It's good Product",
                            "fulfillable_quantity": 1,
                            "id": "405",
                            "attribute": "Color-red , size-x",
                            "properties": [
                              {
                                "name": "Text",
                                "type": "text",
                                "urls": [
                                  "https://image.shopline.com"
                                ],
                                "value": "Freedom"
                              }
                            ],
                            "grams": 1,
                            "taxable": true,
                            "variant_id": "18056898121355865678441487",
                            "requires_shipping": true,
                            "image_url": "https://image.shopline.com/abc.jpg",
                            "product_id": "16056898121352174690861487",
                            "price": "100.0",
                            "quantity": 1,
                            "vendor": "product supplier",
                            "fulfillment_status": "fulfilled",
                            "fulfillment_service": "Sf international",
                            "variant_title": "L/Red",
                            "sku": "SKU1234",
                            "name": "It's good Product",
                            "tags": "sales",
                            "gift_card": true
                          },
                          "quantity": 0
                        },
                        "id": "RDP5860580372212396041",
                        "return_reason": "NOT_AS_DESCRIBED"
                      }
                    ],
                    "status": "OPEN",
                    "third_party_confirmation": "success",
                    "id": "2605860580357012238342",
                    "order_id": "21058605762597644309430942"
                  }
                },
                "example": [
                  {
                    "reverse_fulfillment_order_line_items": [
                      {
                        "fulfillable_quantity": 1,
                        "fulfillment_line_item": {
                          "line_item": {
                            "title": "It's good Product",
                            "fulfillment_service": "Sf international",
                            "grams": 1,
                            "attribute": "Color-red , size-x",
                            "tags": "sales",
                            "gift_card": true,
                            "price": "100.0",
                            "variant_id": "18056898121355865678441487",
                            "requires_shipping": true,
                            "image_url": "https://image.shopline.com/abc.jpg",
                            "id": "405",
                            "sku": "SKU1234",
                            "name": "It's good Product",
                            "fulfillment_status": "fulfilled",
                            "properties": [
                              {
                                "urls": [
                                  "https://image.shopline.com"
                                ],
                                "value": "Freedom",
                                "name": "Text",
                                "type": "text"
                              }
                            ],
                            "product_id": "16056898121352174690861487",
                            "quantity": 1,
                            "vendor": "product supplier",
                            "fulfillable_quantity": 1,
                            "variant_title": "L/Red",
                            "taxable": true
                          },
                          "quantity": 0
                        },
                        "id": "RDP5860580372212396041",
                        "return_reason": "NOT_AS_DESCRIBED",
                        "return_reason_note": "Product does not match the description",
                        "total_quantity": 1
                      }
                    ],
                    "status": "OPEN",
                    "third_party_confirmation": "success",
                    "id": "2605860580357012238342",
                    "order_id": "21058605762597644309430942",
                    "return_id": "SL201AS4571636204541382726"
                  }
                ]
              }
            },
            "example": {
              "order_return_fulfillment_list": [
                {
                  "return_id": "SL201AS4571636204541382726",
                  "reverse_fulfillment_order_line_items": [
                    {
                      "id": "RDP5860580372212396041",
                      "return_reason": "NOT_AS_DESCRIBED",
                      "return_reason_note": "Product does not match the description",
                      "total_quantity": 1,
                      "fulfillable_quantity": 1,
                      "fulfillment_line_item": {
                        "line_item": {
                          "grams": 1,
                          "taxable": true,
                          "id": "405",
                          "sku": "SKU1234",
                          "title": "It's good Product",
                          "product_id": "16056898121352174690861487",
                          "fulfillment_status": "fulfilled",
                          "attribute": "Color-red , size-x",
                          "properties": [
                            {
                              "name": "Text",
                              "type": "text",
                              "urls": [
                                "https://image.shopline.com"
                              ],
                              "value": "Freedom"
                            }
                          ],
                          "variant_id": "18056898121355865678441487",
                          "fulfillable_quantity": 1,
                          "quantity": 1,
                          "fulfillment_service": "Sf international",
                          "price": "100.0",
                          "image_url": "https://image.shopline.com/abc.jpg",
                          "vendor": "product supplier",
                          "gift_card": true,
                          "name": "It's good Product",
                          "tags": "sales",
                          "requires_shipping": true,
                          "variant_title": "L/Red"
                        },
                        "quantity": 0
                      }
                    }
                  ],
                  "status": "OPEN",
                  "third_party_confirmation": "success",
                  "id": "2605860580357012238342",
                  "order_id": "21058605762597644309430942"
                }
              ]
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/return_fulfillment.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Query Return Fulfillment Order",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_returns"
  ]
}
```